<?php

use WSCOMUN\WSComunFClient;

ini_set("soap.wsdl_cache_enabled", 0);

require_once '../../include/WSComunFClient.php';
$keyAutentica 		= WSComunFClient::KEYCLIENTE_AUTENTICA;
$keyAutoriza		= WSComunFClient::KEYCLIENTE_AUTORIZA;
$keyFirma			= WSComunFClient::KEYCLIENTE_FIRMA;
$keyCSV				= WSComunFClient::KEYCLIENTE_CSV;
$keyCatastroBienes	= WSComunFClient::KEYCLIENTE_CATASTRO_BIENES;
$keyCatastro 		= WSComunFClient::KEYCLIENTE_CATASTRO;

/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
		$keyAutentica 		=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/SAFE/AutenticacionArangi_v1_00?wsdl',
		$keyAutoriza 		=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/SAFE/AutorizacionHDFI_v1_00?wsdl',
		$keyFirma 			=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/SAFE/FirmaArangi_v1_00?wsdl',
		$keyCSV 			=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/CSV/GVA/CSV_GVA_v1_00?wsdl',
		$keyCatastroBienes 	=> 'https://verificacion-pre.gva.es/pai_bus_ver/CATASTRO/BienesInmueblesAsincrona_v3_00?wsdl',
		$keyCatastro 		=> 'https://verificacion-pre.gva.es/pai_bus_ver/CATASTRO/ConsultaDatos_v3_00?wsdl'
);

/* Datos del certificado utilizado para las pruebas */
$v_datosCertif = array
(
	'certFile'	=> realpath('../../cert/SELLO-SCOR-PRE.crt'),
	'keyFile'	=> realpath('../../cert/SELLO-SCOR-PRE.key'),
	'passPhrase'=> null
);

$vTrazabilidad = array
(
	'nsCert'=>	'2039d6a41976eedf',	//02d8f243f4272489
	'idApp'=>	'WSCOMUN'				//RABAC
);


//Parametros de invocacin generales
$codApp = 'WSCOMUN';

try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_CSV, $v_wsdl, array_merge($v_datosCertif, $vTrazabilidad));
	$clienteSIRCA->setDebugMode(true);
	$clienteSIRCA->loadTracertPAI($vTrazabilidad);
	$respuestaCSV = $clienteSIRCA->obtenerCodigo($codApp, "29200530Y", "abc", "29200530Y - Pablo Belenguer");



	print("\n\n<br><br><br/><b>csv: </b>" . $respuestaCSV['csv'] . "<br>\n");
	print("<b>url: </b>" . $respuestaCSV['url'] . "<br><br>\n\n");


	if ($respuestaCSV['csv']) {

		$vParams = array(
				array(
						'etiqueta' => 'NIF:',
						'ayuda' => 'NIF que aparece en la Resolucion',
						'valor' => '11111111H'
				)
		);

		$respuesta2Asociar = $clienteSIRCA->asociarCSV($respuestaCSV['csv'],
				$codApp, "29200530Y", "abc", "29200530Y - Pablo Belenguer",
//				$codApp, "29200530Y", "xaa", "xaa",	// Para obtener error por no coincidir
				"CHAP", "0032_0090320_340086", '8c32305b9b699cebada3c54595e49318557fa79e',
				new DateTime("2017-01-01"), $vParams);

//var_dump($respuesta2Asociar);

		if ($respuesta2Asociar['respuesta'] === true) {
			echo "<b>Asociado correctamente</b>";
		} else {
			echo "<b>Asociado con errores</b>";
		}

//var_dump($clienteSIRCA);die;

	}

}
catch (Exception $e)
{
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print('</pre>');
}

?>