<?php

use WSCOMUN\WSComunFClient;

ini_set("soap.wsdl_cache_enabled", 0);

require_once '../../include/WSComunFClient.php';
$keyAutentica 		= WSComunFClient::KEYCLIENTE_AUTENTICA;
$keyAutoriza		= WSComunFClient::KEYCLIENTE_AUTORIZA;
$keyFirma			= WSComunFClient::KEYCLIENTE_FIRMA;
$keyCSV				= WSComunFClient::KEYCLIENTE_CSV;
$keyCatastroBienes	= WSComunFClient::KEYCLIENTE_CATASTRO_BIENES;
$keyCatastro 		= WSComunFClient::KEYCLIENTE_CATASTRO;

/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
		$keyAutentica 		=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/SAFE/AutenticacionArangi_v1_00?wsdl',
		$keyAutoriza 		=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/SAFE/AutorizacionHDFI_v1_00?wsdl',
		$keyFirma 			=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/SAFE/FirmaArangi_v1_00?wsdl',
		$keyCSV 			=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/CSV/GVA/CSV_GVA_v1_00?wsdl',
		$keyCatastroBienes 	=> 'https://verificacion-pre.gva.es/pai_bus_ver/CATASTRO/BienesInmueblesAsincrona_v3_00?wsdl',
		$keyCatastro 		=> 'https://verificacion-pre.gva.es/pai_bus_ver/CATASTRO/ConsultaDatos_v3_00?wsdl'
);

/* Datos del certificado utilizado para las pruebas */
$v_datosCertif = array
(
	'certFile'	=> realpath('../../cert/SELLO-SCOR-PRE.crt'),
	'keyFile'	=> realpath('../../cert/SELLO-SCOR-PRE.key'),
	'passPhrase'=> null
);

$vTrazabilidad = array
(
	'nsCert'=>	'2039d6a41976eedf',	//02d8f243f4272489
	'idApp'=>	'WSCOMUN'				//RABAC
);


//Parametros de invocacin generales
$codApp = 'WSCOMUN';

try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_CSV, $v_wsdl, array_merge($v_datosCertif, $vTrazabilidad));
	$clienteSIRCA->setDebugMode(true);
	$clienteSIRCA->loadTracertPAI($vTrazabilidad);
	$respuestaCSV = $clienteSIRCA->obtenerCodigo($codApp, "29200530Y", "abc", "29200530Y - Pablo Belenguer",
													"true", "CODE_QR", 80, 80);


	print("\n\n<br><br><br/>csv: " . $respuestaCSV['csv'] . "<br>\n");
	print("url: " . $respuestaCSV['url'] . "<br>\n");
	print("imagenBarCode: " . $respuestaCSV['imagenBarCode'] . "<br><br>\n\n");
	print("imagenBarCode (base64): " . base64_encode($respuestaCSV['imagenBarCode']) . "<br><br>\n\n");
	print('<img src="data:image/png;base64,' . base64_encode($respuestaCSV['imagenBarCode']) . '" width="80" height="80" alt="" />');

}
catch (Exception $e)
{
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print('</pre>');
}

?>