<?php

use WSCOMUN\WSComunFClient;

ini_set("soap.wsdl_cache_enabled", 0);

require_once '../../include/WSComunFClient.php';
$keyGDE2 		= WSComunFClient::KEYCLIENTE_GDE2;

/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
		$keyGDE2 => 'https://instrumental-pre.gva.es/pai_bus_ins/GDE/GDEService_v2_00?wsdl'	// Instrumentales
		//$keyGDE2 => 		'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/GDE/GdeWSService_v2_00?wsdl'
);

/* Datos del certificado utilizado para las pruebas */
$v_datosCertif = array
(
	'certFile'	=> realpath('../../cert/SELLO-SCOR-PRE.crt'),
	'keyFile'	=> realpath('../../cert/SELLO-SCOR-PRE.key'),
	'passPhrase'=> null
);

$vTrazabilidad = array
(
	'nsCert'=>	'2039d6a41976eedf',
	'idApp'=>	'WSCOMUN'
);


//Parametros de invocacin generales
//Para probar el script es necesario, previamente, lanzar el script insertarDocumento,
//y copiar la referencia del nuevo documento a $refDoc para que existan los datos
//necesarios para la ejecucin del script
$codApp = 'RABA';
$refDoc ='RABAe4a8e489-250d-4287-8a64-02d3993c3ef2';

try
{
	set_time_limit(40);

	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_GDE2, $v_wsdl, array_merge($v_datosCertif, $vTrazabilidad));
	$clienteSIRCA->setDebugMode(true);
	$clienteSIRCA->loadTracertPAI($vTrazabilidad);


	$respuestaGDE2 = $clienteSIRCA->eliminarDocumentoGDE2($codApp, $refDoc);

	print("Documento: $refDoc<br>\n");
	if (isset($respuestaGDE2['respuesta']['correcto']) && $respuestaGDE2['respuesta']['correcto'] != 'false')
	{
		print "El documento fue borrado correctamente";
	}
	elseif ($respuestaGDE2['codMotivo'] == 'PREBORRADO')
	{
		print "El documento ya estaba borrado anteriormente";
	}
	elseif ($respuestaGDE2['codMotivo'] == 'NOEXISTE')
	{
		print "El documento no existe";
	}
	else
	{
		print "El documento no ha sido borrado (puede que ya se hubiera borrado anteriormente)";
	}
}
catch (Exception $e)
{
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print('</pre>');
}

?>