<?php

use WSCOMUN\WSComunFClient;

ini_set("soap.wsdl_cache_enabled", 0);

require_once '../../include/WSComunFClient.php';
$keyGDE2 		= WSComunFClient::KEYCLIENTE_GDE2;


/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
		$keyGDE2 => 'https://instrumental-pre.gva.es/pai_bus_ins/GDE/GDEService_v2_00?wsdl'	// Instrumentales
);

/* Datos del certificado utilizado para las pruebas */
$v_opciones = array
(
		'certFile'	=> realpath('../../cert/SELLO-SCOR-PRE.crt'),
		'keyFile'	=> realpath('../../cert/SELLO-SCOR-PRE.key'),
		'passPhrase'=> null,
		'nsCert'=>	'2039d6a41976eedf',
		'idApp'=>	'WSCOMUN'
);

//Es necesario crear previamente el documento con el script 'insertarDocumento' y copiar la referencia de documento

//Parametros de invocacin generales
$codApp = 'RABA';
$refDoc = 'RABA3cba87cf-4e34-4540-aae3-1a16345a449d';

print("Prueba de GDE: obtenerListaVersionesDocumento(...)<br>\n<br>\n");
try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_GDE2, $v_wsdl, $v_opciones);
	$respuestaGDE2 = $clienteSIRCA->obtenerListaVersionesDocumento($codApp, $refDoc);

	//var_dump($respuestaGDE2);die;
	foreach ($respuestaGDE2['respuesta']['version'] as $oVersion) {
		echo "Version disponible: " . $oVersion . "<br>\n";
	}

}
catch (\WSCOMUN\GDE\GDE2Exception $e)
{
	print("\n<br/>Excepcion GDE2: \n<br/>");
	print("  - CODIGO: " . $e->getCodeAsString());print("\n<br/>");
	print("  - MENSAJE: " . $e->getMessage());print("\n<br/>");
	var_dump($e);
}
catch (Exception $e)
{
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print('</pre>');
}

?>