<?php

use WSCOMUN\WSComunFClient;

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
require_once '../../../include/WSComunFClient.php';
$keyGDE2 = WSComunFClient::KEYCLIENTE_GDE2;

/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
		$keyGDE2 => 'https://innovacion-pre.gva.es/pai_bus_inno/GDE/GDEService_v2_00?wsdl'	// Instrumentales
);

/* Datos del certificado utilizado para las pruebas */
$v_opciones = array
(
		//'certFile'	=> realpath('../../../cert/SELLO-SCOR-PRE.crt'),
		//'keyFile'	=> realpath('../../../cert/SELLO-SCOR-PRE.key'),
		'passPhrase' 			=> null,
		'enableWSSecurity' 		=> false, //Innovacion
		'enableTrazabilidadPAI' => true,
		'idApp' 				=> 'WSCOMUN',
);

//Parametros de invocacin generales
//Es necesario crear previamente la carpeta con el script 'crearCarpeta'
$codApp = 'RABA';
$path = '/2015_v2_test_soapUI_eliminar';
$vMetaExpENI = array(
	'versionNTI' => 'http://administracionelectronica.gob.es/ENI/XSD/v1.0/documento-e',
	'organo' => array( 'A10000PRE' ),		// 1 or more
	'identificador' => 'ES_A10000PRE_2016_EXP_000000000000000000000000127165',	// nota: parece que la plataforma no lo genera automaticamente
	'fechaAperturaExpediente' => new DateTime(),
	'estado' => 'E01',
	'clasificacion' => 'CLASIFICACION',
	'interesado' => array( '44860703P' )	// 1 or more
);

try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient($keyGDE2, $v_wsdl, $v_opciones);
	$clienteSIRCA->setDebugMode(true);

	$respuestaGDE2 = $clienteSIRCA->establecerMetadatosCarpetaExpedienteENIGDE2($codApp, $path, $vMetaExpENI);

	//var_dump($respuestaGDE2);
	echo "Path: $path<br>\n";
	echo "MetadatosCarpetaExpedienteENI asociados correctamente: " . ($respuestaGDE2['correcto'] ? "True" : "False");
}
catch (Exception $e)
{
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print('</pre>');
}

?>