<?php

use WSCOMUN\WSComunFClient;

require_once '../../include/WSComunFClient.php';
$keyAutentica 	= WSComunFClient::KEYCLIENTE_AUTENTICA;
$keyFirma 		= WSComunFClient::KEYCLIENTE_FIRMA;
$keyAutoriza 	= WSComunFClient::KEYCLIENTE_AUTORIZA;

/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
	$keyAutentica 		=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/SAFE/AutenticacionArangi_v1_00?wsdl',
	//$keyAutentica 	=> 'https://instrumental-pre.gva.es/pai_bus_ins/SAFE/Autenticacion_v1_00?wsdl', //Instrumentales
	$keyFirma 			=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/SAFE/FirmaArangi_v1_00?wsdl',
	$keyAutoriza 		=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/SAFE/AutorizacionHDFI_v1_00?wsdl'
);

/* Datos del certificado de aplicacin de pruebas */
$v_datosCertif = array
(
		'certFile'	=> realpath('../../cert/SELLO-SCOR-PRE.crt'),
		'keyFile'	=> realpath('../../cert/SELLO-SCOR-PRE.key')
);

$vTrazabilidad = array
(
		'nsCert'=>	'2039d6a41976eedf',	//02d8f243f4272489
		'idApp'=>	'RABAC'				//RABAC
);


$user = 'provagenerica_pro';
$password = '683791pre';
$userHDFI = '1212121'; //Mismo usuario
//$dni = '29163429G';


print("\n\n<br/><br><br/>Slo autenticacin a travs de autenticaUsuarioLDAPWS()<br/>\n");
$token = null;
try
{

	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_AUTENTICA, $v_wsdl, array_merge($v_datosCertif, $vTrazabilidad));
	$clienteSIRCA->loadTracertPAI($vTrazabilidad);
	$clienteSIRCA->setWSDLTimeOut(10);
	$clienteSIRCA->setDebugMode(true);




	$token = $clienteSIRCA->autenticaUsuarioLDAPWS($user, $password);
	if (!is_object($token))
	{
		$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
		print("\n<br/>Error de autenticacin, token vaco\n<br/>");
		print_r($vDebugInfo);
		die;
	}
	else
	{
		print("Token:\n<br/>");
		print_r($token);
	}
}
catch (Exception $e)
{
	print("\n<br/>Excepcin: \n<br/>");
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print("Error de autenticacin<br/>\n");
	print_r($vDebugInfo);
	print($e->getMessage());
	die;
}
die;

print("\n\n<br/><br><br/>Informacin (autenticacin y autorizacin) a travs de LDAP<br/>\n");
$datosUsuario = array();
try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_AUTENTICA, $v_wsdl, array_merge($v_datosCertif, $vTrazabilidad));
	$clienteSIRCA->setDebugMode(true);
	$datosUsuario = $clienteSIRCA->getInformacionLDAP($user, $password);
	if (empty($datosUsuario))
	{
		$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
		print("Error de autenticacin<br/>\n");
		print_r($vDebugInfo);
	}
	else
	{
		print("Datos Usuario:\n<br/>");
		print_r($datosUsuario);
	}
}
catch (Exception $e)
{
	print("\n<br/>Excepcin: \n<br/>");
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print("Error de autenticacin<br/>\n");
	print_r($vDebugInfo);
	print($e->getMessage());
}


print("\n\n<br/><br><br/>Slo autenticacin a travs de HDFI autenticaUsuarioWS()<br/>\n");
$token = null;
try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_AUTENTICA, $v_wsdl, array_merge($v_datosCertif, $vTrazabilidad));
	$clienteSIRCA->setDebugMode(true);
	$token = $clienteSIRCA->autenticaUsuarioWS($user, $password);
	if (!is_object($token))
	{
		$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
		print("\n<br/>Error de autenticacin, token vaco\n<br/>");
		print_r($vDebugInfo);
		die;
	}
	else
	{
		print("Token:\n<br/>");
		print_r($token);
	}
}
catch (Exception $e)
{
	print("\n<br/>Excepcin: \n<br/>");
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print("Error de autenticacin<br/>\n");
	print_r($vDebugInfo);
	print($e->getMessage());
	die;
}



print("\n\n<br/><br><br/>Informacin (autenticacin y autorizacin) a travs de HDFI<br/>\n");
$datosUsuario = array();
try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_AUTENTICA, $v_wsdl, array_merge($v_datosCertif, $vTrazabilidad));
	$clienteSIRCA->setDebugMode(true);
	$datosUsuario = $clienteSIRCA->getInformacionHDFI($userHDFI, $password);
	if (empty($datosUsuario))
	{
		$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
		print("Error de autenticacin<br/>\n");
		print_r($vDebugInfo);
	}
	else
	{
		print("Datos Usuario:\n<br/>");
		print_r($datosUsuario);
	}
}
catch (Exception $e)
{
	print("\n<br/>Escepcin: \n<br/>");
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print("Error de autenticacin<br/>\n");
	print_r($vDebugInfo);
	print($e->getMessage());
}


?>